Bug 13289 - wbinfo -u returns nothing, dcesrv_find_fragmented_call() truncates the 32bit call_id to 16 bits, which results in DCERPC_NCA_S_PROTO_ERROR, NT_STATUS_RPC_PROTOCOL_ERROR
wbinfo -u returns nothing, dcesrv_find_fragmented_call() truncates the 32bit ...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
4.8.0rc2
All All
: P5 critical
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 13278
  Show dependency treegraph
 
Reported: 2018-02-20 23:48 UTC by Stefan Metzmacher
Modified: 2018-05-07 07:11 UTC (History)
3 users (show)

See Also:


Attachments
Patch for 4.8 cherry-picked from master (4.26 KB, patch)
2018-02-27 10:27 UTC, Ralph Böhme
metze: review+
Details
Patches for v4-7-test (4.25 KB, patch)
2018-04-17 06:19 UTC, Stefan Metzmacher
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2018-02-20 23:48:52 UTC
If a client uses a call_id > 0xffff, we don't find fragmented calls based on the call_id.

This happens for example in a very long running winbindd process
and causes wbinfo -u to return nothing.

This was noticed by a failing this:

[1825(12537)/2242 at 3h1m13s] samba4.winbind.struct(ad_dc:local)
Running WINBINDD_LIST_USERS (struct based)
WARNING!: ../source4/torture/winbind/struct_based.c:615: WINBINDD_LIST_USERS returned -1, expected 1
UNEXPECTED(failure): samba4.winbind.struct.list_users(ad_dc:local)
REASON: Exception: Exception: ../source4/torture/winbind/struct_based.c:644: Expression `ok' failed: failed to get user list

../source3/rpc_client/cli_pipe.c:568: RPC fault code DCERPC_NCA_S_PROTO_ERROR received from host addc!
Comment 1 Ralph Böhme 2018-02-27 10:27:55 UTC
Created attachment 13994 [details]
Patch for 4.8 cherry-picked from master
Comment 2 Stefan Metzmacher 2018-02-27 15:34:43 UTC
Pushed to autobuild-v4-8-test.
Comment 3 Karolin Seeger 2018-02-28 11:52:36 UTC
Pushed to v4-8-test.
Closing out bug report.

Thanks!
Comment 4 Stefan Metzmacher 2018-02-28 16:10:07 UTC
Sorry, I missed to say: we need this also in older versions
Comment 5 Karolin Seeger 2018-03-22 20:49:34 UTC
Re-assigning to Metze for backports.
Comment 6 Stefan Metzmacher 2018-04-17 06:19:56 UTC
Created attachment 14149 [details]
Patches for v4-7-test
Comment 7 Ralph Böhme 2018-04-20 10:29:05 UTC
Reassigning to Karolin for inclusion in 4.7 (is already in 4.8).
Comment 8 Karolin Seeger 2018-04-25 06:49:00 UTC
(In reply to Ralph Böhme from comment #7)
Pushed to autobuild-v4-7-test.
Comment 9 Karolin Seeger 2018-05-07 07:11:32 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to v4-7-test.
Closing out bug report.

Thanks!